
Core - Task # 33745

Status: Resolved Priority: Should have
Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2012-02-07 Assigned To:
Updated: 2013-11-16 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Integrate File Abstraction Layer
Description

This is an umbrella issue...

Subtasks:
Feature # 33747: Implement usort() and moveItemAt() in AbstractRecordCollection Needs Feedback
Feature # 33748: Integrate Signal Slot Handling Resolved
Feature # 33749: Integrate File Abstraction Layer API Resolved
Feature # 33750: Integrate File Abstraction Layer Handling Resolved
Feature # 33751: Make use of File Abstraction Layer in Backend Resolved
Feature # 33752: Make use of File Abstraction Layer in Frontend Resolved
Feature # 33753: Integrate possibility to resolve relative path walks Resolved
Feature # 33754: Integrate clipboard handling for abstract files Resolved
Feature # 33755: Extend collection handling by repository Resolved
Feature # 33767: Integrate possibility to build URL Resolved
Feature # 32148: Integrate TCA Relation Service Rejected
Feature # 33941: Add possibility to unset parts in t3lib_div::array_merge_recursive_ove... Resolved
Bug # 33938: Unknown record collection type in RecordCollectionRepository Resolved
Bug # 33942: Unknown t3lib_TcaRelationService in StaticRecordCollection Resolved
Feature # 34281: Integrate possibility to overrule types array in TCEforms Resolved
Feature # 34282: IRRE - Possibility to avoid rendering of foreign_selector Resolved
Feature # 34283: IRRE - Possibility to render custom header controls Resolved
Feature # 34284: Integrate File Abstraction Layer Indexer Task Resolved
Bug # 36242: Wrong or missing XCLASS definitions Resolved
Feature # 36246: Enhance File Abstraction Layer API Resolved
Feature # 36384: Integrate TCA helper for FAL aware fields Resolved
Feature # 36387: Use File Abstraction Layer in RTE Resolved
Related issues:
related to Core - Bug # 33956: FAL is not yet compatible with the tceform pla... Closed 2012-02-15

History
#1 - 2012-02-25 23:27 - Oliver Hader
- Status changed from New to Accepted
- Estimated time set to 0.00

#2 - 2012-03-05 17:37 - Steffen Ritter
- Target version deleted (4.7.0-beta1)
- Estimated time set to 0.00

#3 - 2013-07-24 09:31 - Alexander Opitz
- Category set to File Abstraction Layer (FAL)
- Estimated time set to 0.00

#4 - 2013-07-24 09:31 - Alexander Opitz

Can this umbrella be closed, as the FAL is integrated.

#5 - 2013-08-13 00:05 - Wouter Wolters
- Status changed from Accepted to Needs Feedback

#6 - 2013-11-16 08:40 - Steffen Ritter
- Status changed from Needs Feedback to Resolved
- TYPO3 Version changed from 4.7 to 6.0

#7 - 2013-11-16 08:40 - Alexander Opitz
- Estimated time deleted (0.00)
